GET
Get the current layer directory structure
Section titled “Get the current layer directory structure”Gets a JSON representation of the project layer directory structure.
GET /{organizationNickname}/projects/{projectId}/layer-directoryHeader Parameters
| Name | Description |
|---|---|
| Authorization | String Civillo API Credentials *required |
Sample output
{ "directories": [ { "directories": [ { "directories": [], "layers": [ { "layerId": 1, "layerName": "My CAD DWG", "id": "ebdff761-06d6-4f95-ba9c-c2b1e8f68e4c", "path": "/A nice Directory/Another Dir" } ], "id": "8a9ebb03-4047-40f7-85e6-585ad7ffc5c6", "path": "/A nice Directory/Another Dir" } ], "layers": [], "id": "3eb1af9f-e850-4ab8-a227-7a5a88b987db", "path": "/A nice Directory" } ], "layers": [ { "layerId": 2, "layerName": "test", "id": "a1a50cf5-c4dc-42af-97fb-cb7dc7e6d227", "path": "/" }, { "layerId": 3, "layerName": "Test 2", "id": "d4ea7d92-ac3f-4e52-ae7b-5c0ded61e601", "path": "/" } ], "id": null, "path": "/"}Get the current unassigned layers
Section titled “Get the current unassigned layers”Gets a list of all unassigned layers in that are not included in the directory structure.
GET /{organizationNickname}/projects/{projectId}/layer-directory/unassignedHeader Parameters
| Name | Description |
|---|---|
| Authorization | String Civillo API Credentials *required |
Sample output
[ { "layerId": 1, "name": "A layer" }, { "layerId": 2, "name": "Another layer" }, { "layerId": 3, "name": "Yet another layer" }]